package com.zcloud.domain.domain.gateway;

import com.zcloud.domain.domain.model.DomainDepartmentUserE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:29:09
 */
public interface DomainDepartmentUserGateway {

    /**
     * 新增
     */
    Boolean add(DomainDepartmentUserE domainDepartmentUserE);

    /**
     * 修改
     */
    Boolean update(DomainDepartmentUserE domainDepartmentUserE);

    /**
     * 删除
     */
    Boolean deletedDomainDepartmentUserById(Long id);

    Boolean deletedDomainDepartmentUserByIds(Long[] id);
}

